package com.zj365.dc.weight

import android.content.Context
import com.xty.base.dialog.BaseDialog
import com.zj365.dc.databinding.DialogSignAgainBinding

class AgainSignDialog (context: Context, var cancel:()->Unit, var confirm:()->Unit,): BaseDialog(context) {
    val binding by lazy{ DialogSignAgainBinding.inflate(layoutInflater)}
    override fun setLayout()=binding.root
    override fun initView() {
        super.initView()
        setCancelable(false)
        setCanceledOnTouchOutside(false)
        setDialogPadding(40,0,40,0)

        binding.mTvConfirm.setOnClickListener {
            confirm.invoke()
        }
        binding.mTvCancel.setOnClickListener {
            cancel.invoke()
            dismiss()
        }
    }
}